## ina260-zmq-publisher

A ZeroMQ-based power monitoring publisher for the ina260 chip. This repository provides:

- `logger`: that collects (as fast as possible) power measurements from the ina260 using the dedicated driver
- `publisher`: that continuously publish through the pub/sub communication pattern of ZeroMQ
- `client`: a sub client example that you can use for testing

*Note: Nothing is stored locally! Everything that is published by the publisher is either receive by a subscriber or lost.*

### Compilation
The only dependency is [ZeroMQ](https://zeromq.org/).
First, you need to setup the environment by editing `config.mk` according to your needs. Then, executing `make` is sufficient to generate *logger*, *publisher* and *client*.

### Execution
Running `make start` will start the *logger* and *publisher* according to the settings you provided in `config.mk`.

Then, to access to the power measurements, simply execute the client on a machine where the publisher is reachable with `./client`.